//
//  RNFBAdMobGenericModule.m
//  RNFBAdMob
//
//  Created by iPad Developer on 21.07.21.
//

#import <React/RCTUtils.h>
#import "RNFBAdMobGenericModule.h"
#import "RNFBAdMobRCTEventEmitter.h"

@implementation RNFBAdMobGenericModule
#pragma mark -
#pragma mark Module Setup

- (dispatch_queue_t)methodQueue {
  return dispatch_get_main_queue();
}

- (void)setBridge:(RCTBridge *)bridge {
  [RNFBAdMobRCTEventEmitter shared].bridge = bridge;
}

- (RCTBridge *)bridge {
  return [RNFBAdMobRCTEventEmitter shared].bridge;
}

+ (BOOL)requiresMainQueueSetup {
  return YES;
}

#pragma mark -
#pragma mark Event Methods

RCT_EXPORT_METHOD(eventsNotifyReady:
  (BOOL) ready) {
  [[RNFBAdMobRCTEventEmitter shared] notifyJsReady:ready];
}

RCT_EXPORT_METHOD(eventsGetListeners:
  (RCTPromiseResolveBlock) resolve
      rejecter:
      (RCTPromiseRejectBlock) reject) {
  resolve([[RNFBAdMobRCTEventEmitter shared] getListenersDictionary]);
}

RCT_EXPORT_METHOD(eventsPing:
  (NSString *) eventName
      eventBody:
      (NSDictionary *) eventBody
      resolver:
      (RCTPromiseResolveBlock) resolve
      rejecter:
      (RCTPromiseRejectBlock) reject) {
  [[RNFBAdMobRCTEventEmitter shared] sendEventWithName:eventName body:eventBody];
  resolve(eventBody);
}

RCT_EXPORT_METHOD(eventsAddListener:
  (NSString *) eventName) {
  [[RNFBAdMobRCTEventEmitter shared] addListener:eventName];
}

RCT_EXPORT_METHOD(eventsRemoveListener:
  (NSString *) eventName
      all:
      (BOOL) all) {
  [[RNFBAdMobRCTEventEmitter shared] removeListeners:eventName all:all];
}

#pragma mark -
#pragma mark Events Unused

RCT_EXPORT_METHOD(addListener:
  (NSString *) eventName) {
  // Keep: Required for RN built in Event Emitter Calls.
}

RCT_EXPORT_METHOD(removeListeners:
  (NSInteger) count) {
  // Keep: Required for RN built in Event Emitter Calls.
}

@end
