/**
 * Simple is null check.
 *
 * @param value
 * @returns {boolean}
 */
export function isNull(value) {
  return value === null;
}

/**
 * Simple is object check.
 *
 * @param value
 * @returns {boolean}
 */
export function isObject(value) {
  return value ? typeof value === "object" && !Array.isArray(value) && !isNull(value) : false;
}

/**
 * Simple is function check
 *
 * @param value
 * @returns {*|boolean}
 */
export function isFunction(value) {
  return value ? typeof value === "function" : false;
}

/**
 * Simple is string check
 * @param value
 * @return {boolean}
 */
export function isString(value) {
  return typeof value === "string";
}

/**
 * Simple is number check
 * @param value
 * @return {boolean}
 */
export function isNumber(value) {
  return typeof value === "number";
}

/**
 * Simple is boolean check
 *
 * @param value
 * @return {boolean}
 */
export function isBoolean(value) {
  return typeof value === "boolean";
}

/**
 *
 * @param value
 * @returns {arg is Array<any>}
 */
export function isArray(value) {
  return Array.isArray(value);
}

/**
 *
 * @param value
 * @returns {boolean}
 */
export function isUndefined(value) {
  return typeof value === "undefined";
}

/**
 * URL test
 * @param url
 * @returns {boolean}
 */
const IS_VALID_URL_REGEX = /^(http|https):\/\/[^ "]+$/;
export function isValidUrl(url) {
  return IS_VALID_URL_REGEX.test(url);
}
//# sourceMappingURL=validate.js.map