import { hasOwnProperty, isBoolean, isObject, isUndefined } from "./common";
export default function validateAdShowOptions(options) {
  const out = {};
  if (isUndefined(options)) {
    return out;
  }
  if (!isObject(options)) {
    throw new Error("'options' expected an object value");
  }
  if (hasOwnProperty(options, "immersiveModeEnabled")) {
    if (!isBoolean(options.immersiveModeEnabled)) {
      throw new Error("'options.immersiveModeEnabled' expected a boolean value");
    }
    out.immersiveModeEnabled = options.immersiveModeEnabled;
  }
  return out;
}
//# sourceMappingURL=validateAdShowOptions.js.map